package com.fr.plugin.export.xml.core;

import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.report.fun.impl.AbstractExportOperateProvider;
import com.fr.stable.fun.Authorize;
import com.fr.web.core.reserve.Operate;

/**
 * Created by richie on 16/1/19.
 */
@Authorize(callSignKey = XmlConstants.PLUGIN_ID)
@EnableMetrics
public class XmlExport extends AbstractExportOperateProvider {

    @Override
    @Focus(id = XmlConstants.PLUGIN_ID, text = "Plugin-Xml_Export", source = Original.PLUGIN)
    public Operate operate() {
        return new XmlExportOperate();
    }

    @Override
    public String markType() {
        return "xml";
    }
}